Get Restricted Data Access (v2)

The Get Restricted Data Access REST API returns true if the environment is configured so that "Submit Application Snapshot" cannot be selected by a Service Administrator while submitting Provide Feedback; otherwise, returns false.

Required Roles

Service Administrator

REST Resource

GET /interop/rest/{api_version}/config/services/restricteddataaccess

Request

Supported Media Types: application/json

Response

Supported Media Types: application/json

Table 10-2 Parameters

Name Description
details Detailed status of the operation performed.
status See Migration Status Codes
links Detailed information about the link and HTTP call type
items Detailed information about the API
dataAccessRestriction Whether the restricted data access is enabled
href Links to API call or status API
action The HTTP call type
rel Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the status
data Parameters as key value pairs passed in the request

Example of Response Body

{
    "details": null,
    "status": 0,
    "items": [
        {
            "dataAccessRestriction": "true"
        }
    ],
    "links": [
        {
            "href": "<uri>/interop/rest/v2/config/services/restricteddataaccess",
            "action": "GET",
            "rel": "self",
            "data": null
        }
    ]
}

Sample cURL command

curl -X GET -s -u '<USERNAME>:<PASSWORD>' -o response.txt -D respHeader.txt -H
'Content-Type: application/json' 'https://<BASE-URL>/interop/rest/v2/config/services/restricteddataaccess'